#
# Be sure to run `pod lib lint HBCommon.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'HBCommon'
  s.version          = '0.2.0'
  s.summary          = 'HaoBan 通用组件'
  s.swift_version    = '4.0'
# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://github.com/tamwei'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'tamwei' => '417759748@qq.com' }
  s.source           = { :git => 'http://115.159.76.241/HBCommon/HBCommon.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '8.0'

  s.source_files = 'HBCommon/Classes/**/*'

  s.resource_bundles = {
     'HBCommon' => ['HBCommon/Assets/*.ttf']
   }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  # s.dependency 'AFNetworking', '~> 2.3'
  
  s.dependency 'Log', '~> 1.0'
  s.dependency 'IQKeyboardManagerSwift', '~> 6.1.1'
  
  s.dependency 'RxSwift', '~> 4.1.0'
  s.dependency 'RxCocoa', '~> 4.1.0'
  s.dependency 'RxBlocking', '~> 4.1.0'
  s.dependency 'RxDataSources', '~> 3.1.0'
  s.dependency 'RxAlamofire'
  
  s.dependency 'ObjectMapper'
  s.dependency 'Alamofire', '~> 4.5.1'
  s.dependency 'SwiftyJSON', '~> 4.1.0'
  
  s.dependency 'SnapKit', '~> 4.0.0'
  s.dependency 'Kingfisher', '~> 4.1.0'
  
  s.dependency 'WebViewJavascriptBridge', '~> 6.0.2'
  s.dependency 'JSPatch', '~> 1.1.3'
  s.dependency 'MBProgressHUD', '~> 1.1.0'
  # s.dependency 'QCloudCOSXML'

end
